export function getFilenameTemplate(config, id) {
    const filesConfig = config.files, bundleConfig = config.files.bundle;
    switch (id.type) {
        case "table":
            return formatFileType(bundleConfig.enabled ? bundleConfig.bundleFileName : filesConfig.tableFileName);
        case "tableType":
            return formatFileType(bundleConfig.enabled ? bundleConfig.bundleFileName : filesConfig.tableTypeFileName);
        case "tableInsertType":
            return formatFileType(bundleConfig.enabled ? bundleConfig.bundleFileName : filesConfig.tableInsertTypeFileName);
        case "column":
            return "";
        case "databaseReexport":
            return formatFileType(bundleConfig.enabled ? bundleConfig.bundleFileName : filesConfig.databaseFileName);
        case "schema":
            return formatFileType(bundleConfig.enabled ? bundleConfig.bundleFileName : filesConfig.schemasFileName);
        case "schemaReexport":
            return formatFileType(bundleConfig.enabled ? bundleConfig.bundleFileName : filesConfig.schemaFileName);
        case "domain":
            return formatFileType(bundleConfig.enabled ? bundleConfig.bundleFileName : filesConfig.domainFileName);
        case "enum":
            return formatFileType(bundleConfig.enabled ? bundleConfig.bundleFileName : filesConfig.enumFileName);
        case "debug":
            return formatFileType(filesConfig.debugFileName, "json");
        case "export":
            return getFilenameTemplate(config, id.of);
    }
}
function formatFileType(fileName, extension = "ts") {
    return fileName.endsWith(`.${extension}`) ? fileName : `${fileName}.${extension}`;
}
//# sourceMappingURL=getFilenameTemplate.js.map